#pragma once

#include <string>

namespace dropshell {

/**
 * Prints a formatted title surrounded by a box of dashes.
 * 
 * @param title The title string to display
 */
void maketitle(const std::string& title);

bool replace_line_in_file(const std::string& file_path, const std::string& search_string, const std::string& replacement_line);

} // namespace dropshell 